
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #764

Segfault when exiting Audacious whilst in Winamp Skins interface && ampache plugin active

January 07, 2018 22:56 - Jim Turner

Status: Closed Start date: January 07, 2018

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/skins-qt Estimated time: 0.00 hour

Target version: 3.10   

Affects version: 3.9   

Description

Oops, found another 'un - just like title says.  Doesn't matter if switching into Winamp Skins (from QT) or starting in it (Winamp),

Audacious segfaults upon exit.  One can start in Winamp and switch to QT, then exit, no prob.  Also no prob, if Ampach off when

exiting.  What matters is exiting from Winamp Skins interface WITH Ampache active.  Backtrace was very short this time, here's the

full:

[New LWP 3213]

[New LWP 3215]

[New LWP 3216]

[New LWP 3218]

[New LWP 3220]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".

Core was generated by `/home/turnerjw/usr/bin/audacious -Q'.

Program terminated with signal SIGSEGV, Segmentation fault.

#0  0xb6d21b63 in QObject::~QObject() ()

   from /usr/lib/i386-linux-gnu/sse2/libQt5Core.so.5

#1  0xb15fcdf8 in ?? () from /usr/lib/i386-linux-gnu/sse2/libQt5Gui.so.5

#2  0xb6f9c79b in __run_exit_handlers (status=0, 

    listp=0xb71223dc <__exit_funcs>, run_list_atexit=true, run_dtors=true)

    at exit.c:83

#3  0xb6f9c801 in __GI_exit (status=0) at exit.c:105

#4  0xb6f86282 in __libc_start_main (main=0x80021790 <main(int, char**)>, 

    argc=2, argv=0xbfc1a784, init=0x8002c3d0 <__libc_csu_init>, 

    fini=0x8002c430 <__libc_csu_fini>, rtld_fini=0xb772d080 <_dl_fini>, 

    stack_end=0xbfc1a77c) at ../csu/libc-start.c:325

 

Regards & thanks for the quick and successful squash of Bug 763!

Jim

History

#1 - January 13, 2018 03:17 - John Lindgren

I can't reproduce this.

#2 - January 13, 2018 13:48 - Róbert Čerňanský

I am able to reproduce it.  But it is not specific to Ampache Browser plugin.  Any plugin which displays a window behaves the same (Album Art, Song

Info, ...).

I have Qt 5.7.1, glibc-2.25.

#3 - January 14, 2018 19:56 - John Lindgren
I booted up an older system with Qt 5.6 and was able to reproduce the crash (with any plugin, as Robert noted).  It seems that Qt 5.10 may be more

tolerant of QObjects existing after the QApplication is destroyed.  Please try the fix in master and see if it works for you.

#4 - January 15, 2018 07:22 - Jim Turner

Seems to work for me now, thanks!

Jim

#5 - January 15, 2018 14:40 - John Lindgren

- Category set to plugins/skins-qt

- Status changed from New to Closed

- Target version set to 3.10

- % Done changed from 0 to 100

- Affects version 3.9 added

- Affects version deleted (3.9.1)
